
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 * @date 2020-11-11 13:49:06
 */
public class SpuExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品扩展信息表id
     */
    private Long spuExtendId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 评论数量
     */
    private Integer commentNum;

    /**
     * 注水销量
     */
    private Integer waterSoldNum;


    public Integer getWaterSoldNum() {
        return waterSoldNum;
    }

    public void setWaterSoldNum(Integer waterSoldNum) {
        this.waterSoldNum = waterSoldNum;
    }

    public Long getSpuExtendId() {
        return spuExtendId;
    }

    public void setSpuExtendId(Long spuExtendId) {
        this.spuExtendId = spuExtendId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(Integer commentNum) {
        this.commentNum = commentNum;
    }

    @Override
    public String toString() {
        return "SpuExtension{" +
                "spuExtendId=" + spuExtendId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", spuId=" + spuId +
                ", commentNum=" + commentNum +
                ", waterSoldNum=" + waterSoldNum +
                '}';
    }
}
